Subject: Re: bug#35904: Rx 580 and Guix

From: [email-masked] (Jakob L. Kreuze)
Date: Sat, 25 May 2019 15:14:06 -0400

The "[drm:amdgpu_init [amdgpu]] *ERROR* VGACON disables amdgpu kernel
modesetting." in your dmesg output comes from the 'nomodeset' parameter.
If possible, I'd try setting up an SSH daemon, removing 'nomodeset' from
your kernel command-line, and getting dmesg output remotely. (I assume
you don't get any screen output without 'nomodeset'.)

I had the same issue with my RX460. Modesetting (to my knowledge) isn't
possible without the nonfree firmware, so I just gave in and created a
package for the blobs.

There _may_ be a way to use your card without the firmware, but if there
is, I'm not aware of it. Sorry :<

Jakob

(Apologies if you're receiving this twice, Gnus quit out on me as I was
sending this).